## dune-geometry 2.3.1

=== dune/geometry/CMakeLists.txt ===
add_subdirectory("quadraturerules")
add_subdirectory("genericgeometry")
add_subdirectory("refinement")
add_subdirectory("test"  EXCLUDE_FROM_ALL)

install(FILES
        affinegeometry.hh
        axisalignedcubegeometry.hh
        generalvertexorder.hh
        genericreferenceelements.hh
        mockgeometry.hh
	multilineargeometry.hh
        quadraturerules.hh
        referenceelements.hh
	refinement.hh
        topologyfactory.hh
        type.hh
        typeindex.hh
	virtualrefinement.hh
	virtualrefinement.cc
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry
)

# install the header as done for the auto-tools
install(FILES test/checkgeometry.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/test)

=== dune/geometry/genericgeometry/CMakeLists.txt ===
add_subdirectory("test" EXCLUDE_FROM_ALL)
install(FILES
        cachedmapping.hh
	codimtable.hh
	conversion.hh
        cornermapping.hh
	geometrytraits.hh
        geometry.hh
	hybridmapping.hh
        mapping.hh
	mappingprovider.hh
	matrixhelper.hh
        maximum.hh
	referencedomain.hh
	referenceelements.hh
        subtopologies.hh
        topologytypes.hh
	traceprovider.hh
	DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/genericgeometry)

dune_add_library(genericgeometry OBJECT
  referencedomain.cc
  subtopologies.cc
  )

=== dune/geometry/quadraturerules/CMakeLists.txt ===
install(FILES
  compositequadraturerule.hh
  pointquadrature.hh
  simplexquadrature.hh
  tensorproductquadrature.hh
  gauss_imp.hh
  gausslobatto_imp.hh
  jacobi_1_0_imp.hh
  jacobi_2_0_imp.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/quadraturerules)

exclude_from_headercheck(
  "pointquadrature.hh
  simplexquadrature.hh
  genericquadrature.hh
  gauss_imp.hh
  gausslobatto_imp.hh
  jacobi_1_0_imp.hh
  jacobi_2_0_imp.hh
  tensorproductquadrature.hh")

#build the library libquadraturerules
dune_add_library(quadraturerules OBJECT
  gauss.cc
  jacobi_1_0.cc
  jacobi_2_0.cc
  quadraturerules.cc
  gausslobatto.cc
)


message(AUTHOR_WARNING "TODO in dune-geometry/dune/geometry/quadraturerules: Distribute jacobian.mac")

=== dune/geometry/test/CMakeLists.txt ===
set(TESTS
  test_affinegeometry
  test_axisalignedcubegeometry
  test_geometrytype
  test_multilineargeometry
  test_quadrature
  test_referenceelements
  test_refinement)

add_executable(test_affinegeometry test-affinegeometry.cc)
target_link_libraries(test_affinegeometry dunecommon dunegeometry)
add_executable(test_axisalignedcubegeometry test-axisalignedcubegeometry.cc)
target_link_libraries(test_axisalignedcubegeometry dunecommon dunegeometry)
add_executable(test_geometrytype "test-geometrytype.cc")
target_link_libraries(test_geometrytype dunecommon dunegeometry)
add_executable(test_referenceelements "test-referenceelements.cc")
target_link_libraries(test_referenceelements dunegeometry)
add_executable(test_quadrature "test-quadrature.cc")
target_link_libraries(test_quadrature dunecommon dunegeometry)
add_executable(test_multilineargeometry test-multilineargeometry.cc)
target_link_libraries(test_multilineargeometry dunecommon dunegeometry)
add_executable(test_refinement test-refinement.cc)
target_link_libraries(test_refinement dunecommon dunegeometry)

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTS})

foreach(_test ${TESTS})
  add_test(${_test} ${_test})
endforeach(_test ${TESTS})

=== dune/geometry/genericgeometry/test/CMakeLists.txt ===
set(TESTS
  testsubtopologies
  testbasicgeometry)

set(GEOMETRYTYPE "cube")
set(DIMENSION "3")

add_executable(testsubtopologies testsubtopologies.cc)
add_executable(testbasicgeometry testbasicgeometry.cc)
target_link_libraries(testbasicgeometry dunecommon dunegeometry)
add_executable(testmatrix testmatrix.cc)

set_property(TARGET testsubtopologies APPEND_STRING  PROPERTY COMPILE_FLAGS
" -DGEOMETRYTYPE=${GEOMETRYTYPE} -DDIMENSION=${DIMENSION}")
add_dune_gmp_flags(testmatrix)

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)

add_dependencies(${_test_target} ${TESTS})
foreach(_test ${TESTS})
  add_test(${_test} ${_test})
endforeach(_test ${TESTS})

## dune-geometry 2.2.0

=== debian/changelog ===
dune-geometry (2.2.0-1ubuntu1) quantal; urgency=low

  * Limit to building on amd64/i386/powerpc, as this package has a
    habit of completely killing ARM buildds, which is unpleasant.

 -- Adam Conrad <adconrad@ubuntu.com>  Fri, 14 Sep 2012 12:35:11 -0600

dune-geometry (2.2.0-1) unstable; urgency=low

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 Jun 2012 10:26:28 +0200

dune-geometry (2.2~svn70-1) experimental; urgency=low

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 06 May 2012 15:08:15 +0200

dune-geometry (2.2~svn57-1) experimental; urgency=low

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 05 Apr 2012 20:42:57 +0200

dune-geometry (2.2~svn54-1) experimental; urgency=low

  * Initial release. (Closes: #661823)

 -- Ansgar Burchardt <ansgar@debian.org>  Thu, 29 Mar 2012 19:40:26 +0200

=== debian/control ===
Source: dune-geometry
Section: libs
Priority: optional
Standards-Version: 3.9.3
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-geometry.git
Vcs-Git: git://git.debian.org/debian-science/packages/dune-geometry.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 libdune-common-dev (>= 2.2.0)
Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf

Package: libdune-geometry-dev
Section: libdevel
Architecture: amd64 i386 powerpc
Depends: ${misc:Depends}, libdune-geometry-2.2.0 (= ${binary:Version}),
 libdune-common-dev (>= 2.2.0)
Pre-Depends: dpkg (>= 1.15.6)
Suggests: libdune-geometry-dbg (= ${binary:Version})
Description: toolbox for solving PDEs -- geometry classes (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the geometry classes.

Package: libdune-geometry-dbg
Section: debug
Priority: extra
Architecture: amd64 i386 powerpc
Depends: ${misc:Depends}, libdune-geometry-2.2.0 (= ${binary:Version})
Pre-Depends: dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- geometry classes (debug symbols)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the debug symbols for the geometry classes.

Package: libdune-geometry-2.2.0
Architecture: amd64 i386 powerpc
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- geometry classes (library)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the library for the geometry classes.

Package: libdune-geometry-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Pre-Depends: dpkg (>= 1.15.6)
Description: toolbox for solving PDEs -- geometry classes (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the geometry classes.

## dune-geometry 2.2.1

=== debian/changelog ===
dune-geometry (2.2.1-2ubuntu2) saucy; urgency=low

  * Re-enable ARM builds, but remove -g from testsuite CXXFLAGS to
    reduce memory usage and stop OOMing borderline 32-bit buildds.

 -- Adam Conrad <adconrad@ubuntu.com>  Mon, 20 May 2013 01:17:49 -0600

dune-geometry (2.2.1-2ubuntu1) saucy; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Limit to building on amd64/i386/powerpc, as this package has a
      habit of completely killing ARM buildds, which is unpleasant.

 -- Felix Geyer <debfx@ubuntu.com>  Sun, 19 May 2013 11:06:09 +0200

dune-geometry (2.2.1-2) unstable; urgency=low

  * Upload to unstable.
  * Bumped Standards-Version to 3.9.4 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 18 May 2013 13:36:20 +0200

dune-geometry (2.2.1-1) experimental; urgency=low

  * New upstream release.
  * Update soname.
  * Mark runtime and debug packages as Multi-Arch: same.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 02 Mar 2013 00:34:47 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: dune-geometry
 Section: libs
 Priority: optional
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
@@ -10,14 +10,14 @@
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.2.0)
+ libdune-common-dev (>= 2.2.1)
 Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf
 
 Package: libdune-geometry-dev
 Section: libdevel
-Architecture: amd64 i386 powerpc
-Depends: ${misc:Depends}, libdune-geometry-2.2.0 (= ${binary:Version}),
- libdune-common-dev (>= 2.2.0)
+Architecture: any
+Depends: ${misc:Depends}, libdune-geometry-2.2.1 (= ${binary:Version}),
+ libdune-common-dev (>= 2.2.1)
 Pre-Depends: dpkg (>= 1.15.6)
 Suggests: libdune-geometry-dbg (= ${binary:Version})
 Description: toolbox for solving PDEs -- geometry classes (development files)
@@ -31,8 +31,9 @@
 Package: libdune-geometry-dbg
 Section: debug
 Priority: extra
-Architecture: amd64 i386 powerpc
-Depends: ${misc:Depends}, libdune-geometry-2.2.0 (= ${binary:Version})
+Architecture: any
+Multi-Arch: same
+Depends: ${misc:Depends}, libdune-geometry-2.2.1 (= ${binary:Version})
 Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- geometry classes (debug symbols)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -42,8 +43,9 @@
  .
  This package contains the debug symbols for the geometry classes.
 
-Package: libdune-geometry-2.2.0
-Architecture: amd64 i386 powerpc
+Package: libdune-geometry-2.2.1
+Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- geometry classes (library)

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --parallel

override_dh_auto_install-arch:
	set -e; for d in dune lib m4; do \
	  $(MAKE) -C $$d install DESTDIR="$(CURDIR)/debian/tmp"; \
	done
	$(MAKE) install-data-am install-exec-am DESTDIR="$(CURDIR)/debian/tmp"
	mkdir doc/doxygen/html
	$(MAKE) -C doc/doxygen install-data-am DESTDIR="$(CURDIR)/debian/tmp"

override_dh_auto_install-indep:
	$(MAKE) -C doc install DESTDIR="$(CURDIR)/debian/tmp"

override_dh_strip:
	dh_strip --dbg-package=libdune-geometry-dbg

## dune-geometry 2.3.1

=== debian/changelog ===
dune-geometry (2.3.1-1ubuntu1) utopic; urgency=medium

  * Merge from debian remaining change:
    * Re-enable ARM builds, but remove -g from testsuite CXXFLAGS to
    reduce memory usage and stop OOMing borderline 32-bit buildds.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 04 Jul 2014 14:03:40 +0100

dune-geometry (2.3.1-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 17 Jun 2014 19:53:54 +0200

dune-geometry (2.3.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Change shared library package name to libdune-geometry-2.3.1.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 10 Jun 2014 20:42:19 +0200

dune-geometry (2.3.0-2ubuntu1) utopic; urgency=medium

  * Merge from debian remaining change:
    * Re-enable ARM builds, but remove -g from testsuite CXXFLAGS to
    reduce memory usage and stop OOMing borderline 32-bit buildds.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 30 Apr 2014 23:17:44 +0100

dune-geometry (2.3.0-2) unstable; urgency=medium

  * Install /usr/share/dune-geometry.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 10:48:41 +0100

dune-geometry (2.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Change shared library package name to libdune-geometry-2.3.0.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 14 Feb 2014 09:27:28 +0100

dune-geometry (2.3~20140117beta2-1) experimental; urgency=medium

  * New upstream snapshot.
  * libdune-geometry-dev.install: Install /usr/lib/*/cmake.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 20 Jan 2014 21:20:35 +0100

dune-geometry (2.3~20140110beta1-1) experimental; urgency=medium

  * New upstream snapshot.

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 15 Jan 2014 13:41:04 +0100

dune-geometry (2.3~20131228g31cd66f-2) experimental; urgency=medium

  * Increase epsilon for floating point comparisons in test-affinegeometry
    and test-multilineargeometry. This should address the build failure on
    powerpc, ppc64 and s390x.
    + new patch: 0001-Increase-epsilon-for-floating-point-comparisons.patch
  * Increase alignment of BasicGeometry::mappingStorage_. This should
    address the build failure on mips and sparc.
    + new patch: 0001-Fix-alignment-of-mappingStorage_-member.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 04 Jan 2014 00:17:17 +0100

dune-geometry (2.3~20131228g31cd66f-1) experimental; urgency=medium

  * New upstream snapshot.
  * Change shared library package name to libdune-geometry-2.3svn.
  * Drop pre-depends on dpkg (>= 1.15.6) which is already satisfied in
    Debian 6.
  * debian/control: Use canonical Vcs-* URIs.
  * Bumped Standards-Version to 3.9.5 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 01 Jan 2014 19:54:54 +0100

=== debian/control ===
--- 
+++ 
@@ -1,24 +1,23 @@
 Source: dune-geometry
 Section: libs
 Priority: optional
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: http://git.debian.org/?p=debian-science/packages/dune-geometry.git
-Vcs-Git: git://git.debian.org/debian-science/packages/dune-geometry.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-geometry.git
+Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-geometry.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.2.1)
+ libdune-common-dev (>= 2.3.1)
 Build-Depends-Indep: doxygen, ghostscript, texlive-latex-recommended, pgf
 
 Package: libdune-geometry-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libdune-geometry-2.2.1 (= ${binary:Version}),
- libdune-common-dev (>= 2.2.1)
-Pre-Depends: dpkg (>= 1.15.6)
+Depends: ${misc:Depends}, libdune-geometry-2.3.1 (= ${binary:Version}),
+ libdune-common-dev (>= 2.3.1)
 Suggests: libdune-geometry-dbg (= ${binary:Version})
 Description: toolbox for solving PDEs -- geometry classes (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -33,8 +32,7 @@
 Priority: extra
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, libdune-geometry-2.2.1 (= ${binary:Version})
-Pre-Depends: dpkg (>= 1.15.6)
+Depends: ${misc:Depends}, libdune-geometry-2.3.1 (= ${binary:Version})
 Description: toolbox for solving PDEs -- geometry classes (debug symbols)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
@@ -43,11 +41,11 @@
  .
  This package contains the debug symbols for the geometry classes.
 
-Package: libdune-geometry-2.2.1
+Package: libdune-geometry-2.3.1
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Pre-Depends: ${misc:Pre-Depends}, dpkg (>= 1.15.6)
+Pre-Depends: ${misc:Pre-Depends}
 Description: toolbox for solving PDEs -- geometry classes (library)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.
@@ -60,7 +58,6 @@
 Section: doc
 Architecture: all
 Depends: ${misc:Depends}
-Pre-Depends: dpkg (>= 1.15.6)
 Description: toolbox for solving PDEs -- geometry classes (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

## dune-geometry 2.4.0

=== debian/changelog ===
dune-geometry (2.4.0-1~bpo8+1) jessie-backports; urgency=medium

  * Backport to Debian 8.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 13 Oct 2015 10:01:33 +0200

dune-geometry (2.4.0-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last dune-common upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 25 Sep 2015 22:31:18 +0200

dune-geometry (2.4~20150912rc3-1) unstable; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last dune-common upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 13 Sep 2015 13:46:12 +0200

dune-geometry (2.4~20150825rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Move shared library into -dev package and provide a virtual package
    that changes with the upstream version for shlib dependencies. See
    also https://lists.debian.org/debian-devel/2015/07/msg00115.html
  * (Build-)Depend on last dune-common upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 04 Sep 2015 15:37:22 +0200

dune-geometry (2.4~20150717rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last dune-common upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 17 Jul 2015 21:00:24 +0200

dune-geometry (2.4~20150616g82cf4be-1) experimental; urgency=medium

  * New upstream snapshot.
  * libdune-geometry-doc: Install documentation to correct location.
  * (Build-)Depend on last dune-common upload.

 -- Ansgar Burchardt <ansgar@debian.org>  Fri, 19 Jun 2015 23:33:04 +0200

dune-geometry (2.4~20150505g14682fb-1) experimental; urgency=medium

  * New upstream snapshot.
  * Change shared library package name to libdune-geometry-2.4git.
  * Update debian/copyright for new upstream snapshot.
  * (Build-)Depend on last dune-common upload.
  * Add Build-Depends-Indep: graphviz for "dot".
  * Bumped Standards-Version to 3.9.6.

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 05 May 2015 22:07:55 +0200

=== debian/control ===
Source: dune-geometry
Section: libs
Priority: optional
Standards-Version: 3.9.6
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-geometry.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-geometry.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
 libdune-common-dev (>= 2.4.0)
Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-recommended, pgf

Package: libdune-geometry-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.4.0)
Suggests: libdune-geometry-dbg (= ${binary:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- geometry classes (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the geometry classes.

Package: libdune-geometry-dbg
Section: debug
Priority: extra
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libdune-geometry-dev (= ${binary:Version})
Description: toolbox for solving PDEs -- geometry classes (debug symbols)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the debug symbols for the geometry classes.

Package: libdune-geometry-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- geometry classes (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the geometry classes.

## dune-geometry 2.4.1

=== CMakeLists.txt ===
# set up project
project("dune-geometry" C CXX)

# general stuff
cmake_minimum_required(VERSION 2.8.6)

if(NOT (dune-common_DIR OR dune-common_ROOT OR
        "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
    string(REPLACE  ${CMAKE_PROJECT_NAME} dune-common dune-common_DIR
      ${PROJECT_BINARY_DIR})
endif()

#find dune-common and set the module path
find_package(dune-common REQUIRED)
list(APPEND CMAKE_MODULE_PATH ${dune-common_MODULE_PATH})

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

add_subdirectory("m4")
add_subdirectory("dune")
add_subdirectory("doc")
add_subdirectory("lib")

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project(GENERATE_CONFIG_H_CMAKE)

=== lib/CMakeLists.txt ===
dune_add_library(dunegeometry
  _DUNE_TARGET_OBJECTS:genericgeometry_
  _DUNE_TARGET_OBJECTS:quadraturerules_
  ADD_LIBS dunecommon)

=== m4/CMakeLists.txt ===
install(PROGRAMS
  dune-geometry.m4
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/aclocal)

=== doc/refinement/CMakeLists.txt ===

if(INKSCAPE)
  set(DOCS ${DOCS} referencetokuhn0.png simplexvertexindex.png)
  set(EPS_IMGS simplexvertexindex.eps referencetokuhn0.eps kuhntriangulation.eps)
  inkscape_generate_eps_from_svg(DPI 180
    OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}
    INPUT_DIR ${CMAKE_CURRENT_BINARY_DIR} ${EPS_IMGS})
endif(INKSCAPE)
dune_add_latex_document(refinement.tex FATHER_TARGET doc
  DEFAULT_SAFEPDF
  DEPENDS ${EPS_IMGS})
set(PDFDOCS ${CMAKE_CURRENT_BINARY_DIR}/refinement.pdf)

create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/refinement.pdf ${CMAKE_INSTALL_DOCDIR}/refinement)

=== dune/geometry/CMakeLists.txt ===
add_subdirectory("quadraturerules")
add_subdirectory("genericgeometry")
add_subdirectory("refinement")
add_subdirectory("test" EXCLUDE_FROM_ALL)

install(FILES
  affinegeometry.hh
  axisalignedcubegeometry.hh
  dimension.hh
  generalvertexorder.hh
  multilineargeometry.hh
  quadraturerules.hh
  referenceelements.hh
  refinement.hh
  topologyfactory.hh
  type.hh
  typeindex.hh
  virtualrefinement.hh
  virtualrefinement.cc
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry
)

# install the header as done for the auto-tools
install(FILES test/checkgeometry.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/test)

=== dune/geometry/genericgeometry/CMakeLists.txt ===
add_subdirectory("test" EXCLUDE_FROM_ALL)
install(FILES
  codimtable.hh
  conversion.hh
  geometrytraits.hh
  matrixhelper.hh
  referencedomain.hh
  referenceelements.hh
  subtopologies.hh
  topologytypes.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/genericgeometry)

dune_add_library(genericgeometry OBJECT
  referencedomain.cc
  subtopologies.cc
  )

=== dune/geometry/quadraturerules/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 install(FILES
   compositequadraturerule.hh
+  nocopyvector.hh
   pointquadrature.hh
   simplexquadrature.hh
   tensorproductquadrature.hh
@@ -7,6 +8,7 @@
   gausslobatto_imp.hh
   jacobi_1_0_imp.hh
   jacobi_2_0_imp.hh
+  jacobian.mac
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/quadraturerules)
 
 exclude_from_headercheck(
@@ -27,6 +29,3 @@
   quadraturerules.cc
   gausslobatto.cc
 )
-
-
-message(AUTHOR_WARNING "TODO in dune-geometry/dune/geometry/quadraturerules: Distribute jacobian.mac")

=== dune/geometry/test/CMakeLists.txt ===
set(TESTS
  test-affinegeometry
  test-axisalignedcubegeometry
  test-geometrytype
  test-multilineargeometry
  test-quadrature
  test-referenceelements
  test-refinement)

add_executable(test-affinegeometry test-affinegeometry.cc)
add_executable(test-axisalignedcubegeometry test-axisalignedcubegeometry.cc)
add_executable(test-geometrytype test-geometrytype.cc)
add_executable(test-referenceelements test-referenceelements.cc)
add_executable(test-quadrature test-quadrature.cc)
add_executable(test-multilineargeometry test-multilineargeometry.cc)
add_executable(test-refinement test-refinement.cc)

# We do not want want to build the tests during make all,
# but just build them on demand
add_directory_test_target(_test_target)
add_dependencies(${_test_target} ${TESTS})

foreach(_test ${TESTS})
  target_link_libraries(${_test} dunegeometry ${DUNE_LIBS})
  add_test(${_test} ${_test})
endforeach(_test ${TESTS})

=== dune/geometry/genericgeometry/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,13 +1,12 @@
 set(TESTS
+  testmatrix
   testsubtopologies
-  testbasicgeometry)
+  )
 
 set(GEOMETRYTYPE "cube")
 set(DIMENSION "3")
 
 add_executable(testsubtopologies testsubtopologies.cc)
-add_executable(testbasicgeometry testbasicgeometry.cc)
-target_link_libraries(testbasicgeometry dunecommon dunegeometry)
 add_executable(testmatrix testmatrix.cc)
 
 set_property(TARGET testsubtopologies APPEND_STRING  PROPERTY COMPILE_FLAGS

=== debian/changelog ===
dune-geometry (2.4.1-1) unstable; urgency=medium

  * New upstream release.
  * (Build-)Depend on last dune-common upload.
  * Mark libdune-geometry-dev as Multi-Arch: same.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 29 Feb 2016 10:23:32 +0100

dune-geometry (2.4.1~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last dune-common upload.
  * debian/control: Update Vcs-* fields.
  * Mark libdune-geometry-doc as Multi-Arch: foreign.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 28 Feb 2016 13:53:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,20 @@
 Standards-Version: 3.9.6
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/dune-geometry.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/dune-geometry.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-geometry.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-geometry.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
  automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.4.0)
+ libdune-common-dev (>= 2.4.1)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-recommended, pgf
 
 Package: libdune-geometry-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.4.0)
+ libdune-common-dev (>= 2.4.1)
 Suggests: libdune-geometry-dbg (= ${binary:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- geometry classes (development files)
@@ -44,6 +45,7 @@
 Package: libdune-geometry-doc
 Section: doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: toolbox for solving PDEs -- geometry classes (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-geometry 2.5.0

=== debian/changelog ===
dune-geometry (2.5.0-1) unstable; urgency=medium

  * New upstream release.

 -- Ansgar Burchardt <ansgar@debian.org>  Sun, 18 Dec 2016 13:20:47 +0100

dune-geometry (2.5.0~rc2-1) unstable; urgency=medium

  * Upload to unstable.
  * New upstream release candidate.

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 05 Dec 2016 23:23:32 +0100

dune-geometry (2.5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * (Build-)Depend on last DUNE upload.
  * Switch to CMake.
  * Bumped Standards-Version to 3.9.8 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Mon, 21 Nov 2016 20:37:20 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,23 @@
 Source: dune-geometry
 Section: libs
 Priority: optional
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-geometry.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-geometry.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- automake, autoconf, gfortran, libtool, mpi-default-bin, mpi-default-dev, pkg-config,
- libdune-common-dev (>= 2.4.1)
-Build-Depends-Indep: doxygen, ghostscript, graphviz, texlive-latex-recommended, pgf
+ cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.5.0)
+Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, pgf
 
 Package: libdune-geometry-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.4.1)
+ libdune-common-dev (>= 2.5.0)
 Suggests: libdune-geometry-dbg (= ${binary:Version})
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- geometry classes (development files)

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dune/dune-debian.mk

%:
	dh $@ --parallel --builddirectory=build

override_dh_strip:
	dh_strip --dbg-package=libdune-geometry-dbg

## dune-geometry 2.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("dune-geometry" C CXX)
 
 # general stuff
-cmake_minimum_required(VERSION 2.8.6)
+cmake_minimum_required(VERSION 2.8.12)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
         "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))
@@ -20,7 +20,6 @@
 # start a dune project with information from dune.module
 dune_project()
 
-add_subdirectory("m4")
 add_subdirectory("dune")
 add_subdirectory("doc")
 add_subdirectory("lib")

=== doc/CMakeLists.txt ===
add_subdirectory(appl)
add_subdirectory(doxygen)
add_subdirectory(refinement)

=== dune/CMakeLists.txt ===
add_subdirectory(geometry)

=== lib/CMakeLists.txt ===
dune_add_library(dunegeometry
  _DUNE_TARGET_OBJECTS:geometry_
  _DUNE_TARGET_OBJECTS:quadraturerules_
  ADD_LIBS dunecommon)

=== doc/appl/CMakeLists.txt ===
add_subdirectory(refelements)

=== dune/geometry/CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,6 @@
 add_subdirectory("quadraturerules")
-add_subdirectory("genericgeometry")
 add_subdirectory("refinement")
-add_subdirectory("test" EXCLUDE_FROM_ALL)
+add_subdirectory("test")
 
 install(FILES
   affinegeometry.hh
@@ -23,3 +22,7 @@
 # install the header as done for the auto-tools
 install(FILES test/checkgeometry.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/test)
+
+dune_add_library(geometry OBJECT
+  referenceelements.cc
+  )

=== dune/geometry/test/CMakeLists.txt ===
dune_add_test(SOURCES test-affinegeometry.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-axisalignedcubegeometry.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-cornerstoragerefwrap.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-geometrytype.cc)

dune_add_test(SOURCES test-referenceelements.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-quadrature.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-multilineargeometry.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-nonetype.cc
              LINK_LIBRARIES dunegeometry)

dune_add_test(SOURCES test-refinement.cc
              LINK_LIBRARIES dunegeometry)

=== debian/changelog ===
dune-geometry (2.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depend on texlive-pictures instead of pgf. (Closes: #867075)
  * debian/copyright: Update URLs.
  * Bumped Standards-Version to 4.0.0 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 18 Jul 2017 11:55:38 +0200

dune-geometry (2.5.1~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * No longer build manual -dbg package. Use the automatically generated
    -dbgsym package instead.

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 17 Jun 2017 16:52:00 +0200

=== debian/control ===
Source: dune-geometry
Section: libs
Priority: optional
Standards-Version: 4.0.0
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-geometry.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-geometry.git
Homepage: http://www.dune-project.org/
Build-Depends: debhelper (>= 9),
 cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libdune-common-dev (>= 2.5.1)
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures

Package: libdune-geometry-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 libdune-common-dev (>= 2.5.1)
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- geometry classes (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the geometry classes.

Package: libdune-geometry-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: toolbox for solving PDEs -- geometry classes (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the geometry classes.

## dune-geometry 2.6.0

=== doc/doxygen/CMakeLists.txt ===
# shortcut for creating the Doxyfile.in and Doxyfile
add_doxygen_target()

=== doc/refinement/CMakeLists.txt ===
if(INKSCAPE)
  set(EPS_IMGS simplexvertexindex.eps referencetokuhn0.eps kuhntriangulation.eps)
  inkscape_generate_eps_from_svg(DPI 180
    OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR}
    INPUT_DIR ${CMAKE_CURRENT_BINARY_DIR} ${EPS_IMGS})
endif()

dune_add_latex_document(refinement.tex
  DEPENDS ${EPS_IMGS})

create_doc_install(${CMAKE_CURRENT_BINARY_DIR}/refinement.pdf ${CMAKE_INSTALL_DOCDIR}/refinement refinement_safepdf)

=== dune/geometry/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
 add_subdirectory("quadraturerules")
 add_subdirectory("refinement")
+add_subdirectory("utility")
 add_subdirectory("test")
 
 install(FILES
@@ -9,6 +10,8 @@
   generalvertexorder.hh
   multilineargeometry.hh
   quadraturerules.hh
+  referenceelement.hh
+  referenceelementimplementation.hh
   referenceelements.hh
   refinement.hh
   topologyfactory.hh
@@ -24,5 +27,5 @@
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/test)
 
 dune_add_library(geometry OBJECT
-  referenceelements.cc
+  referenceelementimplementation.cc
   )

=== dune/geometry/quadraturerules/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
   gausslobatto_imp.hh
   jacobi_1_0_imp.hh
   jacobi_2_0_imp.hh
-  jacobian.mac
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/quadraturerules)
 
 exclude_from_headercheck(

=== dune/geometry/refinement/CMakeLists.txt ===
install(FILES
  base.cc
  hcube.cc
  hcubetriangulation.cc
  prismtriangulation.cc
  pyramidtriangulation.cc
  simplex.cc
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/refinement)

=== dune/geometry/test/CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 dune_add_test(SOURCES test-cornerstoragerefwrap.cc
               LINK_LIBRARIES dunegeometry)
 
-dune_add_test(SOURCES test-geometrytype.cc)
+dune_add_test(SOURCES test-fromvertexcount.cc)
 
 dune_add_test(SOURCES test-referenceelements.cc
               LINK_LIBRARIES dunegeometry)
@@ -23,3 +23,6 @@
 
 dune_add_test(SOURCES test-refinement.cc
               LINK_LIBRARIES dunegeometry)
+
+dune_add_test(SOURCES test-constexpr-geometrytype.cc
+              LINK_LIBRARIES dunegeometry)

=== dune/geometry/utility/CMakeLists.txt ===
install(FILES
  typefromvertexcount.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/utility)

=== debian/changelog ===
dune-geometry (2.6.0-1build2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Mar 2020 15:13:16 +0100

dune-geometry (2.6.0-1build1) cosmic; urgency=medium

  * No-change rebuild for libgfortran soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 12:25:22 +0000

dune-geometry (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/control: now requires cmake >= 3.1

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 03 Apr 2018 00:30:47 +0200

dune-geometry (2.6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * add Build-Depends-Indep: texlive-latex-extra for type1cm.sty
  * add Build-Depends-Indep: inkscape for SVG to EPS conversion
  * d/control: update Vcs-* fields for move to salsa.debian.org
  * Bumped Standards-Version to 4.1.3 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Sat, 06 Jan 2018 19:16:43 +0100

dune-geometry (2.6~20171113-1) experimental; urgency=medium

  * New upstream snapshot.
  * d/control: add `Rules-Requires-Root: no`
  * libdune-geometry-doc: add Built-Using: doxygen (for jquery.js)
  * Bumped Standards-Version to 4.1.1 (no changes).

 -- Ansgar Burchardt <ansgar@debian.org>  Tue, 14 Nov 2017 00:18:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,23 +1,24 @@
 Source: dune-geometry
 Section: libs
 Priority: optional
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/dune-geometry.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/dune-geometry.git
+Vcs-Browser: https://salsa.debian.org/science-team/dune-geometry
+Vcs-Git: https://salsa.debian.org/science-team/dune-geometry.git
 Homepage: http://www.dune-project.org/
 Build-Depends: debhelper (>= 9),
- cmake, gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.5.1)
-Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-recommended, texlive-pictures
+ cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ libdune-common-dev (>= 2.6.0)
+Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, inkscape, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
+Rules-Requires-Root: no
 
 Package: libdune-geometry-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.5.1)
+ libdune-common-dev (>= 2.6.0)
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- geometry classes (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
@@ -32,6 +33,7 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Built-Using: ${dune:doc:Built-Using}
 Description: toolbox for solving PDEs -- geometry classes (documentation)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
  for solving partial differential equations (PDEs) with grid-based methods.

## dune-geometry 2.7.0

=== debian/changelog ===
dune-geometry (2.7.0-2build1) groovy; urgency=medium

  * Rebuild against new dune 2.7.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 17 Jul 2020 18:53:10 +0200

dune-geometry (2.7.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Wed, 15 Jul 2020 12:37:31 +0200

dune-geometry (2.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Use debhelper compat level 13.
  * Bumped Standards-Version to 4.5.0 (no changes).

 -- Ansgar <ansgar@debian.org>  Sun, 24 May 2020 16:49:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: dune-geometry
 Section: libs
 Priority: optional
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Ansgar Burchardt <ansgar@debian.org>, Oliver Sander <sander@mi.fu-berlin.de>
+Uploaders: Ansgar <ansgar@debian.org>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-geometry
 Vcs-Git: https://salsa.debian.org/science-team/dune-geometry.git
-Homepage: http://www.dune-project.org/
-Build-Depends: debhelper (>= 9),
+Homepage: https://www.dune-project.org/
+Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.6.0)
+ libdune-common-dev (>= 2.7.0-2)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, inkscape, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.6.0)
+ libdune-common-dev (>= 2.7.0-2)
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- geometry classes (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox

## dune-geometry 2.7.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project("dune-geometry" C CXX)
 
 # general stuff
-cmake_minimum_required(VERSION 2.8.12)
+cmake_minimum_required(VERSION 3.1)
 
 if(NOT (dune-common_DIR OR dune-common_ROOT OR
         "${CMAKE_PREFIX_PATH}" MATCHES ".*dune-common.*"))

=== doc/refinement/CMakeLists.txt ===
set(PNG_IMGS simplexvertexindex.png referencetokuhn0.png kuhntriangulation.png)
inkscape_generate_png_from_svg(
 DPI 180
 ${PNG_IMGS})

dune_add_latex_document(
  SOURCE refinement.tex
  FATHER_TARGET doc
  INSTALL ${CMAKE_INSTALL_DOCDIR})

=== doc/appl/refelements/CMakeLists.txt ===
set(PICTURES gg_hexahedron.png gg_line.png gg_prism.png gg_pyramid.png
  gg_quadrilateral.png gg_tetrahedron.png gg_triangle.png
  gg_hexahedron_edges.png gg_tetrahedron_edges.png gg_prism_edges.png gg_pyramid_edges.png)

inkscape_generate_png_from_svg(${PICTURES} OUTPUT_DIR ${CMAKE_CURRENT_BINARY_DIR})
add_custom_target(update_images DEPENDS ${PICTURES})

install(FILES ${PICTURES} DESTINATION ${CMAKE_INSTALL_DOCDIR}/appl/refelements)

=== dune/geometry/quadraturerules/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,5 @@
 install(FILES
   compositequadraturerule.hh
-  nocopyvector.hh
   pointquadrature.hh
   simplexquadrature.hh
   tensorproductquadrature.hh
@@ -8,6 +7,7 @@
   gausslobatto_imp.hh
   jacobi_1_0_imp.hh
   jacobi_2_0_imp.hh
+  jacobi_n_0.hh
   DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/geometry/quadraturerules)
 
 exclude_from_headercheck(
@@ -18,6 +18,7 @@
   gausslobatto_imp.hh
   jacobi_1_0_imp.hh
   jacobi_2_0_imp.hh
+  jacobi_n_0.hh
   tensorproductquadrature.hh")
 
 #build the library libquadraturerules

=== debian/changelog ===
dune-geometry (2.7.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Ansgar <ansgar@debian.org>  Mon, 11 Jan 2021 22:31:14 +0100

dune-geometry (2.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Lisa Julia Nebel  <lisa_julia.nebel@tu-dresden.de>  Thu, 07 Jan 2021 09:35:42 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
  cmake (>= 3.1), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
- libdune-common-dev (>= 2.7.0-2)
+ libdune-common-dev (>= 2.7.1)
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, inkscape, texlive-latex-extra, texlive-latex-recommended, texlive-pictures
 Rules-Requires-Root: no
 
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- libdune-common-dev (>= 2.7.0-2)
+ libdune-common-dev (>= 2.7.1)
 Provides: ${dune:shared-library}
 Description: toolbox for solving PDEs -- geometry classes (development files)
  DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
